Subject: bug#6724: 24.0.50; VC fails to add symlink for bzr backend

From: Glenn Morris <[email-masked]>
Date: Fri, 20 Aug 2010 16:49:10 -0400

Jan Moringen wrote:

> I ran into a problem when trying to register a symlink in a bzr branch.
[...]
> bzr: ERROR: No such file: u'/Users/XXX/rudeling/rudel.bzr/.gitignore@'
>
> Note the "@" in the end which apparently comes from the output of bzr
> status and indicates the symlink nature of the file.

It was reported as a Bazaar bug three years ago that this causes issues:

https://bugs.launchpad.net/bzr/+bug/112390

Two years ago the point was explicitly made that it causes problems
for Emacs:

https://bugs.launchpad.net/bzr/+bug/213172